package main

import (
	"os"
	"strings"
	"testing"

	"github.com/stretchr/testify/assert"
)

func Test(t *testing.T) {
	inputBytes, _ := os.ReadFile("test.txt")
	input := strings.Split(string(inputBytes), "\n")

	puzzle1, puzzle2 := do(input)
	assert.Equal(t, 15, puzzle1)
	assert.Equal(t, 1134, puzzle2)
}
