package main

import (
	"os"
	"strings"
	"testing"

	"github.com/stretchr/testify/assert"
)

func Test(t *testing.T) {
	// Test 1

	inputBytes, _ := os.ReadFile("test1.txt")
	input := strings.Split(string(inputBytes), "\n")

	assert.Equal(t, 10, puzzle1(input))
	assert.Equal(t, 36, puzzle2(input))

	// Test 2

	inputBytes, _ = os.ReadFile("test2.txt")
	input = strings.Split(string(inputBytes), "\n")

	assert.Equal(t, 19, puzzle1(input))
	assert.Equal(t, 103, puzzle2(input))

	// Test 3

	inputBytes, _ = os.ReadFile("test3.txt")
	input = strings.Split(string(inputBytes), "\n")

	assert.Equal(t, 226, puzzle1(input))
	assert.Equal(t, 3509, puzzle2(input))
}
